<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="invoice_generator_tree" model="ir.ui.view">
            <field name="name">invoice.generator.tree</field>
            <field name="model">invoice.generator</field>
            <field name="arch" type="xml">
                <tree string="Generador Factura" delete="false">
                    <field name="nit" string="NIT"/>
                    <field name="datetime_invoice"/>
                    <field name="branch_office_code"/>
                    <field name="invoice_mode"/>
                    <field name="emission_type"/>
                </tree>
            </field>
        </record>

        <record id="invoice_generator_form" model="ir.ui.view">
            <field name="name">invoice.generator.form</field>
            <field name="model">invoice.generator</field>
            <field name="arch" type="xml">
                <form>
                    <header>
                        <button name="onclick_generate_invoice" string="Generar" type="object" class="btn-primary"/>
                        <field name="state" widget="statusbar"
                               statusbar_visible="draft,sync,error"/>
                    </header>
                    <sheet>
                        <div class="oe_title">
                            <h1>
                                <field name="cuf"/>
                            </h1>
                        </div>
                        <group name="group_top">
                            <group name="group_left">
                                <field name="invoice_id"
                                       domain="[('state','=','open'),('type','=','out_invoice')]"
                                       options='{"no_create": True}' requerid="1"/>
                                <field name="nit"/>
                                <field name="datetime_invoice"/>
                                <field name="branch_office_code"/>
                                <field name="invoice_mode"/>
                            </group>
                            <group name="right_group">
                                <field name="emission_type"/>
                                <field name="fiscal_document_type"/>
                                <field name="area_document_type"/>
                                <field name="invoice_number"/>
                                <field name="sales_point_code"/>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <act_window id="action_invoice_generator"
                    res_model="invoice.generator"
                    name="Generar Factura"
                    view_mode="tree,form"/>

        <record id="action_invoice_generator_tree" model="ir.actions.act_window.view">
            <field eval="1" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="invoice_generator_tree"/>
            <field name="act_window_id" ref="action_invoice_generator"/>
        </record>

        <record id="action_invoice_generator_form" model="ir.actions.act_window.view">
            <field eval="2" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="invoice_generator_form"/>
            <field name="act_window_id" ref="action_invoice_generator"/>
        </record>
    </data>
</odoo>